package com.wuban.tron.explore.service.impl;

import com.github.pagehelper.PageInfo;
import com.wuban.tron.explore.BaseTest;
import com.wuban.tron.explore.entity.Transaction;
import com.wuban.tron.explore.service.TransactionService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

class TransactionServiceImplTest extends BaseTest {

    @Autowired
    private TransactionService service;

    @Test
    void getByPageWithCategory() {
    }

    @Test
    void getByExample() {
    }

    @Test
    void selectListByAddress() {
        String address = "41af2f523da93df32ca91bf387c5cc95b02c1a6635";
        int type = 1;
        PageInfo<Transaction> pageInfo = this.service.selectListByAddress(address, type, 1,10);
        System.out.println(pageInfo.getList().toString());
    }
}